import React from "react";
import styled from "styled-components";
import { Heading } from "@equilab/ui-curated";
import CuratedLogo from "./curated-logo.png";
import CuratedTxt from "./curated-txt.png";

const InitiativesContainer = styled.div`
  display: flex;
  flex-direction: column;
  background-color: #707cb9;

  & .curatedLogo {
    background-image: url(${CuratedLogo.src});
    background-position: center;
    background-size: cover;
    width: 100%;
    height: 327px;
  }
  & .curatedTxt {
    background-image: url(${CuratedTxt.src});
    background-position: center;
    background-size: cover;
    width: 100%;
    height: 327px;
  }
`;

const Initiatives: React.FC<{ className?: string }> = ({ className }) => {
  return (
    <InitiativesContainer className={className}>
      <div>
        <Heading size="m">Our ongoing initiatives</Heading>
        <div className="curatedLogo" />
      </div>
      <div>
        <Heading size="m">Curated/txt</Heading>
        <div className="curatedTxt" />
      </div>
    </InitiativesContainer>
  );
};

export default Initiatives;
